io.etcd.jetcd.api

## Class AuthenticateRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<AuthenticateRequest.Builder>
      - - io.etcd.jetcd.api.AuthenticateRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, AuthenticateRequestOrBuilder, Cloneable

Enclosing class:
  AuthenticateRequest

    public static final class AuthenticateRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<AuthenticateRequest.Builder>
    implements AuthenticateRequestOrBuilder

Protobuf type `etcdserverpb.AuthenticateRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AuthenticateRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`AuthenticateRequest` `build()`
`AuthenticateRequest` `buildPartial()`
`AuthenticateRequest.Builder` `clear()`
`AuthenticateRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`AuthenticateRequest.Builder` `clearName()` `string name = 1;`
`AuthenticateRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`AuthenticateRequest.Builder` `clearPassword()` `string password = 2;`
`AuthenticateRequest.Builder` `clone()`
`AuthenticateRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getName()` `string name = 1;`
`com.google.protobuf.ByteString` `getNameBytes()` `string name = 1;`
`String` `getPassword()` `string password = 2;`
`com.google.protobuf.ByteString` `getPasswordBytes()` `string password = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`AuthenticateRequest.Builder` `mergeFrom(AuthenticateRequest other)`
`AuthenticateRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`AuthenticateRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`AuthenticateRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`AuthenticateRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`AuthenticateRequest.Builder` `setName(String value)` `string name = 1;`
`AuthenticateRequest.Builder` `setNameBytes(com.google.protobuf.ByteString value)` `string name = 1;`
`AuthenticateRequest.Builder` `setPassword(String value)` `string password = 2;`
`AuthenticateRequest.Builder` `setPasswordBytes(com.google.protobuf.ByteString value)` `string password = 2;`
`AuthenticateRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`AuthenticateRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthenticateRequest.Builder>`

#### clear

    public AuthenticateRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthenticateRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthenticateRequest.Builder>`

#### getDefaultInstanceForType

    public AuthenticateRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public AuthenticateRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public AuthenticateRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public AuthenticateRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthenticateRequest.Builder>`

#### setField

    public AuthenticateRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthenticateRequest.Builder>`

#### clearField

    public AuthenticateRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthenticateRequest.Builder>`

#### clearOneof

    public AuthenticateRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthenticateRequest.Builder>`

#### setRepeatedField

    public AuthenticateRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                        int index,
                                                        Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthenticateRequest.Builder>`

#### addRepeatedField

    public AuthenticateRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                        Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthenticateRequest.Builder>`

#### mergeFrom

    public AuthenticateRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<AuthenticateRequest.Builder>`

#### mergeFrom

    public AuthenticateRequest.Builder mergeFrom(AuthenticateRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthenticateRequest.Builder>`

#### mergeFrom

    public AuthenticateRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<AuthenticateRequest.Builder>`
Throws:
  `IOException`

#### getName

    public String getName()

`string name = 1;`

Specified by:
  `getName` in interface `AuthenticateRequestOrBuilder`
Returns:
  The name.

#### getNameBytes

    public com.google.protobuf.ByteString getNameBytes()

`string name = 1;`

Specified by:
  `getNameBytes` in interface `AuthenticateRequestOrBuilder`
Returns:
  The bytes for name.

#### setName

    public AuthenticateRequest.Builder setName(String value)

`string name = 1;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

#### clearName

    public AuthenticateRequest.Builder clearName()

`string name = 1;`

Returns:
  This builder for chaining.

#### setNameBytes

    public AuthenticateRequest.Builder setNameBytes(com.google.protobuf.ByteString value)

`string name = 1;`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

#### getPassword

    public String getPassword()

`string password = 2;`

Specified by:
  `getPassword` in interface `AuthenticateRequestOrBuilder`
Returns:
  The password.

#### getPasswordBytes

    public com.google.protobuf.ByteString getPasswordBytes()

`string password = 2;`

Specified by:
  `getPasswordBytes` in interface `AuthenticateRequestOrBuilder`
Returns:
  The bytes for password.

#### setPassword

    public AuthenticateRequest.Builder setPassword(String value)

`string password = 2;`

Parameters:
  `value` - The password to set.
Returns:
  This builder for chaining.

#### clearPassword

    public AuthenticateRequest.Builder clearPassword()

`string password = 2;`

Returns:
  This builder for chaining.

#### setPasswordBytes

    public AuthenticateRequest.Builder setPasswordBytes(com.google.protobuf.ByteString value)

`string password = 2;`

Parameters:
  `value` - The bytes for password to set.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final AuthenticateRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthenticateRequest.Builder>`

#### mergeUnknownFields

    public final AuthenticateRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthenticateRequest.Builder>`